<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2014 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: sh_bbcode_include_var.php
| Author: Pisatel
| www.meweb.ru
| BB code SyntaxHighlighter v3.0
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (!function_exists("generate_brush")) {
  function generate_brush($textarea_name, $inputform_name) {
    $generated = "";
    $brush = array("html", "html5", "xhtml", "php", "javascript", "js", "jquery", "css", "sql", "python", "ruby", "xml", "c++", "c", "cpp", "delphi", "java", "perl", "text", "plain");
    for ($i=0;$i<count($brush);$i++) {
       $generated .= "<input type='button' value='".$brush[$i]."' class='button' style='width:100px' onclick=\"addText('".$textarea_name."', '[sh=".$brush[$i]."]', '[/sh]', '".$inputform_name."');return false;\" /><br />";
    }
    return $generated;
 }
}

$__BBCODE__[] = 
array(
'description'  => $locale['bb_sh_description'],
'value'   => "sh",
'bbcode_start'  => "[sh=".$locale['bb_sh_lang']."]",
'bbcode_end'  => "[/sh]",
'usage'   => "[sh=".$locale['bb_sh_lang']."]".$locale['bb_sh_usage']."[/sh]",
'onclick'  => "return overlay(this, 'syntaxhighlighter_".$textarea_name."', 'rightbottom');",
'onmouseover'  => "",
'onmouseout'  => "",
'html_start'  => "<div id='syntaxhighlighter_".$textarea_name."' class='tbl1 bbcode-popup' style='display: none; border:1px solid black; position: absolute; width: auto; height: auto; text-align: center' onclick=\"overlayclose('syntaxhighlighter_".$textarea_name."');\">",
'includejscript' => "",
'calljscript'  => "",
'phpfunction'  => "echo generate_brush('".$textarea_name."', '".$inputform_name."');",
'html_middle'  => "",
'html_end'  => "</div>"
);
?>